# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
#
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

from aliyunsdkcore.request import RpcRequest
class ConfigureSynchronizationJobRequest(RpcRequest):

	def __init__(self):
		RpcRequest.__init__(self, 'Dts', '2016-08-01', 'ConfigureSynchronizationJob')

	def get_PartitionKeyModifyTime_Month(self):
		return self.get_query_params().get('PartitionKey.ModifyTime_Month')

	def set_PartitionKeyModifyTime_Month(self,PartitionKeyModifyTime_Month):
		self.add_query_param('PartitionKey.ModifyTime_Month',PartitionKeyModifyTime_Month)

	def get_DataInitialization(self):
		return self.get_query_params().get('DataInitialization')

	def set_DataInitialization(self,DataInitialization):
		self.add_query_param('DataInitialization',DataInitialization)

	def get_DestinationEndpointInstanceId(self):
		return self.get_query_params().get('DestinationEndpoint.InstanceId')

	def set_DestinationEndpointInstanceId(self,DestinationEndpointInstanceId):
		self.add_query_param('DestinationEndpoint.InstanceId',DestinationEndpointInstanceId)

	def get_PartitionKeyModifyTime_Minute(self):
		return self.get_query_params().get('PartitionKey.ModifyTime_Minute')

	def set_PartitionKeyModifyTime_Minute(self,PartitionKeyModifyTime_Minute):
		self.add_query_param('PartitionKey.ModifyTime_Minute',PartitionKeyModifyTime_Minute)

	def get_StructureInitialization(self):
		return self.get_query_params().get('StructureInitialization')

	def set_StructureInitialization(self,StructureInitialization):
		self.add_query_param('StructureInitialization',StructureInitialization)

	def get_SourceEndpointOwnerID(self):
		return self.get_query_params().get('SourceEndpoint.OwnerID')

	def set_SourceEndpointOwnerID(self,SourceEndpointOwnerID):
		self.add_query_param('SourceEndpoint.OwnerID',SourceEndpointOwnerID)

	def get_SourceEndpointRole(self):
		return self.get_query_params().get('SourceEndpoint.Role')

	def set_SourceEndpointRole(self,SourceEndpointRole):
		self.add_query_param('SourceEndpoint.Role',SourceEndpointRole)

	def get_PartitionKeyModifyTime_Day(self):
		return self.get_query_params().get('PartitionKey.ModifyTime_Day')

	def set_PartitionKeyModifyTime_Day(self,PartitionKeyModifyTime_Day):
		self.add_query_param('PartitionKey.ModifyTime_Day',PartitionKeyModifyTime_Day)

	def get_SynchronizationJobId(self):
		return self.get_query_params().get('SynchronizationJobId')

	def set_SynchronizationJobId(self,SynchronizationJobId):
		self.add_query_param('SynchronizationJobId',SynchronizationJobId)

	def get_PartitionKeyModifyTime_Year(self):
		return self.get_query_params().get('PartitionKey.ModifyTime_Year')

	def set_PartitionKeyModifyTime_Year(self,PartitionKeyModifyTime_Year):
		self.add_query_param('PartitionKey.ModifyTime_Year',PartitionKeyModifyTime_Year)

	def get_SynchronizationObjects(self):
		return self.get_query_params().get('SynchronizationObjects')

	def set_SynchronizationObjects(self,SynchronizationObjects):
		self.add_query_param('SynchronizationObjects',SynchronizationObjects)

	def get_SynchronizationJobName(self):
		return self.get_query_params().get('SynchronizationJobName')

	def set_SynchronizationJobName(self,SynchronizationJobName):
		self.add_query_param('SynchronizationJobName',SynchronizationJobName)

	def get_PartitionKeyModifyTime_Hour(self):
		return self.get_query_params().get('PartitionKey.ModifyTime_Hour')

	def set_PartitionKeyModifyTime_Hour(self,PartitionKeyModifyTime_Hour):
		self.add_query_param('PartitionKey.ModifyTime_Hour',PartitionKeyModifyTime_Hour)

	def get_SourceEndpointInstanceId(self):
		return self.get_query_params().get('SourceEndpoint.InstanceId')

	def set_SourceEndpointInstanceId(self,SourceEndpointInstanceId):
		self.add_query_param('SourceEndpoint.InstanceId',SourceEndpointInstanceId)